#Module with the commands to the instrument Webcam

package provide slm_03 0.0

puts "Carregado [info script]"

namespace eval slm_03	 {
    
    variable timeout 100
    
    #namespace export getImage checkConnection
    
    proc getImage { size } {
	
	variable timeout; variable pin_number
	
	puts "Command getImage of webcam size:$size\n"
	
        return ACK
    }

    proc configWebCam { resolution } {
	
	variable timeout; variable pin_number
	
	puts "Command configWebCam of webcam resolution:$resolution\n"
	
        return ACK
    }

    #dfc dataFlowController
    proc checkConnection { dfc transaction_id } {

         variable timeout; variable pin_number

	 puts "Command checkConnection of slm_03 dfc: $dfc\n"

	 $dfc sendCommand "checkConnection;$transaction_id"

    }

    #dfc dataFlowController
    proc init { dfc transaction_id } {

         puts "Module slm_03 command init"

	 #return "ACK"

	 $dfc sendCommand "checkConnection;$transaction_id"

   }

   #dfc dataFlowController
   proc end_init { dfc transaction_id } {

         puts "Module slm_03 command end_init"

	 #return "ACK"

	 $dfc sendCommand "checkConnection;$transaction_id"

   }

   #dfc dataFlowController
   proc error_init { dfc transaction_id } {

         puts "Module slm_03 command error_init"

	 #return "ACK"

	 $dfc sendCommand "checkConnection;$transaction_id"

   }

   #dfc dataFlowController
   proc setup { dfc transaction_id } {

         puts "Module slm_03 command setup"

         #return "ACK"

	 $dfc sendCommand "checkConnection;$transaction_id"

   }

   #dfc dataFlowController
   proc end_setup { dfc transaction_id } {

         puts "Module slm_03 command end_setup"

	 #return "ACK"

	 $dfc sendCommand "checkConnection;$transaction_id"

   }

   #dfc dataFlowController
   proc error_setup { dfc transaction_id } {

         puts "Module slm_03 command error_setup"

	 #return "ACK"

	 $dfc sendCommand "checkConnection;$transaction_id"

   } 

}
